"use strict";
Object.defineProperty(exports, "__esModule", {
    value: true
});
exports.default = void 0;
class ChunkNamesPlugin {
    apply(compiler) {
        compiler.hooks.compilation.tap('NextJsChunkNamesPlugin', (compilation)=>{
            compilation.chunkTemplate.hooks.renderManifest.intercept({
                register (tapInfo) {
                    if (tapInfo.name === 'JavascriptModulesPlugin') {
                        const originalMethod = tapInfo.fn;
                        tapInfo.fn = (result, options)=>{
                            let filenameTemplate;
                            const chunk = options.chunk;
                            const outputOptions = options.outputOptions;
                            if (chunk.filenameTemplate) {
                                filenameTemplate = chunk.filenameTemplate;
                            } else if (chunk.hasEntryModule()) {
                                filenameTemplate = outputOptions.filename;
                            } else {
                                filenameTemplate = outputOptions.chunkFilename;
                            }
                            options.chunk.filenameTemplate = filenameTemplate;
                            return originalMethod(result, options);
                        };
                    }
                    return tapInfo;
                }
            });
        });
    }
}
exports.default = ChunkNamesPlugin;

//# sourceMappingURL=chunk-names-plugin.js.map